Bug 572490

Summary: cobbler 2.0.3.1 creates files and directories below /var/www/cobbler/ world-writeable
Product: [Fedora] Fedora Reporter: Robert Vogelgesang <vogel>
Component: cobblerAssignee: John Eckersberg <jeckersb>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: low    
Version: 12CC: awood, dgoodwin, jeckersb, pcormier, shenson, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 12:33:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Robert Vogelgesang 2010-03-11 06:16:10 EST
Description of problem:
cobbler (at least version 2.0.3.1-3.fc12) creates /var/www/cobbler/rendered/ world-writeable, which is a security risk

Version-Release number of selected component (if applicable):
cobbler-2.0.3.1-3.fc12.noarch
cobbler-web-2.0.3.1-3.fc12.noarch

How reproducible:
Don't know.  It happened on a fresh install of the mentioned RPMs in a freshly installed and fully updated Fedora-12 i386 machine.

Steps to Reproduce:
1. Install cobbler and cobbler-web on Fedora-12
2. configure it until "cobbler check" is happy
3. Import a DVD, create a repo, click around in the web interface
  
Actual results:
I don't know when exactly, but somehow the directory /var/www/cobbler/rendered/ appeared (it's not contained in any of the RPMs), with the following permissions:
drwxrwxrwx. 2 root   root   4096 Mar 10 14:58 rendered/

Expected results:
- the directory should not be world writeable
- the directory should be "owned" by one of the cobbler RPMs

Additional info:
Maybe related: The cobbler RPM contains the directory /var/www/cobbler/pub which got automatically deleted during my tests; "rpm -V cobbler" reports it as missing.
Comment 1 Robert Vogelgesang 2010-03-12 05:54:59 EST
Also, please see bug #572627 where I reported a separate issue with the missing directory "/var/www/cobbler/pub".
Comment 2 Robert Vogelgesang 2010-03-12 09:32:23 EST
Today I found some other files and directories below /var/www/cobbler/ that were created by cobbler and are world-writeable.  Running

find . -not -type l -perm +2 -ls

in /var/www/cobbler/ reveals:

394422    4 -rw-rw-rw-   1 root     root          136 Mar 10 15:58 ./ks_mirror/config/Fedora-12-i386-0.repo
394423    4 -rw-rw-rw-   1 root     root          136 Mar 10 16:01 ./ks_mirror/config/Fedora-12-PAE-i386-0.repo
2097154    4 drwxrwxrwx   2 root     root         4096 Mar 10 16:05 ./images/Fedora-12-PAE-i386
3544942    4 drwxrwxrwx   2 root     root         4096 Mar 12 15:04 ./images/Fedora-12-i386-nonPXE
2097156    4 drwxrwxrwx   2 root     root         4096 Mar 10 16:05 ./images/Fedora-12-i386
394269    4 drwxrwxrwx   2 root     root         4096 Mar 10 14:58 ./rendered

I don't expect that all files and directories that cobbler ever creates are "owned" by the RPM, but I certainly don't want anything writeable by others.

Changed summary of this bug.
Comment 3 Bug Zapper 2010-11-03 16:08:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Robert Vogelgesang 2010-11-04 05:54:56 EDT
This bug was fixed in some later upstream release, but the Fedora 12 package was never officially updated (there is a newer package in the testing repo, though).  I no longer care about the F12 version, because I've updated the cobbler server to Fedora 14, which has its own issues (please see
bug #648988).
Comment 5 Bug Zapper 2010-12-03 12:33:40 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.